package com.ruoyi.tcZz.service;

import com.ruoyi.tcZz.domain.TcSdtb;

import java.util.List;

/**
 * 属地通报Service接口
 *
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcSdtbService {
    /**
     * 查询属地通报
     *
     * @param id 属地通报主键
     * @return 属地通报
     */
    public TcSdtb selectTcSdtbById(Long id);

    /**
     * 查询属地通报列表
     *
     * @param tcSdtb 属地通报
     * @return 属地通报集合
     */
    public List<TcSdtb> selectTcSdtbList(TcSdtb tcSdtb);

    /**
     * 新增属地通报
     *
     * @param tcSdtb 属地通报
     * @return 结果
     */
    public int insertTcSdtb(TcSdtb tcSdtb);

    /**
     * 修改属地通报
     *
     * @param tcSdtb 属地通报
     * @return 结果
     */
    public int updateTcSdtb(TcSdtb tcSdtb);

    /**
     * 批量删除属地通报
     *
     * @param ids 需要删除的属地通报主键集合
     * @return 结果
     */
    public int deleteTcSdtbByIds(Long[] ids);

    /**
     * 删除属地通报信息
     *
     * @param id 属地通报主键
     * @return 结果
     */
    public int deleteTcSdtbById(Long id);


    /**
     * 导入属地通报信息
     *
     * @return 结果
     */
    public String importUser(List<TcSdtb> tcSdtbList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
